# Starting from a premade ubuntu docker file that include ros2
FROM osrf/ros:galactic-desktop

# installing some packages 
RUN DEBIAN_FRONTEND=noninteractive apt-get update -qqy &&\
    DEBIAN_FRONTEND=noninteractive apt-get install -qqy \
    nano \
    wget \
    python3-pip \
    libgmp-dev \
    python3-dev
   
# installing the messages and other ros nodes that we need
ADD https://gitlab.com/api/v4/projects/37524936/repository/branches/main /37524936.json
RUN mkdir /ros &&\
    cd /ros &&\ 
    # clone what you need
    git clone https://gitlab.com/volvo_gto/gpss_mvp/shared/gpss_interfaces/ar_tag_msgs.git --depth 1 -b main &&\
    . /opt/ros/galactic/setup.sh &&\
    colcon build

# installing the python requirements and sourcing ros when we are running
COPY ./requirements.txt /
RUN pip install -r /requirements.txt &&\
    echo "source /opt/ros/galactic/setup.bash" >> ~/.bashrc &&\
    echo "source /ros/install/setup.bash" >> ~/.bashrc  &&\
    echo "source /ws/install/setup.bash" >> ~/.bashrc

